Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.watch
Class QueuedArchive

    java.lang.Object
      org.jini.rio.watch.QueuedArchive

All Implemented Interfaces:
  Archivable

Direct Known Subclasses:
  DBArchive, FileArchive

    public abstract class QueuedArchive

extends Object
implements Archivable

Provides a queued approach to archive a Watch record

Constructor Summary
`QueuedArchive()` Creates new QueuedArchive

Method Summary
`void` | `archive(Calculable calculable)` Archive a record from the WatchDataSource history by placing it on a queue
`protected abstract void` | `archiveToResource(Calculable calculable)` Performs the actual write to the underlying resource
`void` | `close()` Closes the archive
`protected abstract void` | `closeResource()` Closes the underlying Resource

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueuedArchive

    public QueuedArchive()

  Creates new QueuedArchive

Method Detail

### archiveToResource

    protected abstract void archiveToResource(Calculable calculable)
                                       throws IOException

  Performs the actual write to the underlying resource

  Parameters:
    `calculable` - the Calculable record to archive
  Throws:
    `IOException` - if the write encounters errors

### closeResource

    protected abstract void closeResource()

  Closes the underlying Resource

### close

    public void close()

  Closes the archive

  Specified by:
    `close` in interface `Archivable`

### archive

    public void archive(Calculable calculable)

  Archive a record from the WatchDataSource history by placing it on a queue

  Specified by:
    `archive` in interface `Archivable`
  Parameters:
    `calculable` - the Calculable record to archive

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.